#box_loading_container #box_loading_text{
    width: 600px;
    font-size: 18px;
    text-align: center;
    margin: auto;
}
#box_loading_container{
    display: none;
}
#box_loading_container.active{
    display: block;
}
#box_loading_container #box_loading{
    position: relative;
    width: 600px;
    height: 300px;
    margin: auto;
}
#box_loading_container #box_loading .big_rect{
    background-color: #ffffff; 
    position: absolute;
    top: 50px;
    left: 225px;
    border: 1px solid #000000;
    width: 150px;
    height: 200px;
}
.rect{
    position: absolute;
}
#box_loading_container #box_loading .pink{
    background-color: #e91e63;
    transform: rotate(90deg);
    top: 0px;
    left: 95px;
    width: 80px;
    height: 150px;
      animation-duration: 4s;
      animation-iteration-count: infinite;
}
#box_loading_container #box_loading .blue{
    background-color: #009688;
    transform: rotate(90deg);
    top: 170px;
    left: 355px;
    width: 150px;
    height: 50px;
      animation-duration: 4s;
      animation-iteration-count: infinite;
}
#box_loading_container #box_loading .purple{
    background-color: #9c27b0;
    transform: rotate(90deg);
    top: 30px;
    left: 405px;
    width: 70px;
    height: 80px;
      animation-duration: 4s;
      animation-iteration-count: infinite;
}
#box_loading_container #box_loading .green{
    background-color: #7cb342;
    transform: rotate(90deg);
    top: 200px;
    left: 135px;
    width: 70px;
    height: 70px;
      animation-duration: 4s;
      animation-iteration-count: infinite;
}

@keyframes pink_anim {
  0%   {left:95px; top:0px;transform: rotate(90deg);background-color: #e91e63;}
  12%  {left:226px; top:51px;transform: rotate(0deg);	background-color: #e0e0e0;}
  48%  {left:226px; top:51px;transform: rotate(0deg);	background-color: #e0e0e0;}
  60%  {left:95px; top:0px;transform: rotate(90deg);background-color: #e91e63;}
  100% {left:95px; top:0px;transform: rotate(90deg);background-color: #e91e63;}
}

@keyframes purple_anim {
  0%   {left:405px; top:30px;transform: rotate(90deg);background-color: #9c27b0;}
  12%  {left:405px; top:30px;transform: rotate(90deg);background-color: #9c27b0;}
  24%  {left:306px; top:121px;transform: rotate(0deg);	background-color: #9e9e9e;}
  60%  {left:306px; top:121px;transform: rotate(0deg);	background-color: #9e9e9e;}
  72%  {left:405px; top:30px;transform: rotate(90deg);background-color: #9c27b0;}
  100% {left:405px; top:30px;transform: rotate(90deg);background-color: #9c27b0;}
}

@keyframes blue_anim {
  0%   {left:355px; top:170px;transform: rotate(90deg);background-color: #009688;}
  24%  {left:355px; top:170px;transform: rotate(90deg);background-color: #009688;}
  36%  {left:226px; top:201px;transform: rotate(0deg);	background-color: #bdbdbd;}
  72%  {left:226px; top:201px;transform: rotate(0deg);	background-color: #bdbdbd;}
  84%  {left:355px; top:170px;transform: rotate(90deg);background-color: #009688;}
  100% {left:355px; top:170px;transform: rotate(90deg);background-color: #009688;}
}

@keyframes green_anim {
  0%   {left:135px; top:200px;transform: rotate(90deg);background-color: #7cb342;}
  36%  {left:135px; top:200px;transform: rotate(90deg);background-color: #7cb342;}
  48%  {left:306px; top:51px;transform: rotate(0deg);	background-color: #757575;}
  84%  {left:306px; top:51px;transform: rotate(0deg);	background-color: #757575;}
  96%  {left:135px; top:200px;transform: rotate(90deg);background-color: #7cb342;}
  100% {left:135px; top:200px;transform: rotate(90deg);background-color: #7cb342;}
}

#box_loading_container.active #box_loading .rect.pink{
    animation-name: pink_anim;
}
#box_loading_container.active #box_loading .rect.blue{
    animation-name: blue_anim;
}
#box_loading_container.active #box_loading .rect.purple{
    animation-name: purple_anim;
}
#box_loading_container.active #box_loading .rect.green{
    animation-name: green_anim;
}